CMSIS-DSP: arm_fft_bin_example_f32.c File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_fft_bin_example_f32.c File Reference

## Macros

#define | TEST_LENGTH_SAMPLES

## Functions

int32_t | main (void)

## Variables

float32_t | testInput_f32_10khz [TEST_LENGTH_SAMPLES]
uint32_t | fftSize
uint32_t | ifftFlag
uint32_t | doBitReverse
arm_cfft_instance_f32 | varInstCfftF32
uint32_t | refIndex
uint32_t | testIndex

## Macro Definition Documentation

#define TEST_LENGTH_SAMPLES

Examples:
  arm_fft_bin_example_f32.c.

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_fft_bin_example_f32.c.

## Variable Documentation

uint32_t doBitReverse

Examples:
  arm_fft_bin_example_f32.c.

uint32_t fftSize

Examples:
  arm_fft_bin_example_f32.c.

uint32_t ifftFlag

Examples:
  arm_fft_bin_example_f32.c.

uint32_t refIndex

Examples:
  arm_fft_bin_example_f32.c.

uint32_t testIndex

Examples:
  arm_fft_bin_example_f32.c.

float32_t testInput_f32_10khz[TEST_LENGTH_SAMPLES]

Examples:
  arm_fft_bin_example_f32.c.

arm_cfft_instance_f32 varInstCfftF32

Examples:
  arm_fft_bin_example_f32.c.